Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230679 - gftp works, but will not repaint window after it is covered, then hangs
Summary: gftp works, but will not repaint window after it is covered, then hangs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: at-spi
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-03-02 02:28 UTC by Gerry Tool
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 04:49:33 UTC


Attachments (Terms of Use)

Description Gerry Tool 2007-03-02 02:28:00 UTC
Description of problem:
gftp starts and works, but if another window covers it, it will not repaint and
it hangs.

Version-Release number of selected component (if applicable):
gftp-2.0.18-4.fc7

How reproducible:
Always

Steps to Reproduce:
1.Execute gftp
2.use gftp - works
3.cover gftp window with another one, uncover
  
Actual results: gftp only partially repainted, hangs, must be forced closed


Expected results:
gftp should restore window after it is uncovered and continue to work

Additional info:

Comment 1 Gerry Tool 2007-03-04 15:15:52 UTC
gFTP in F7 Test2 now freezes after a successful transfer.  Must be forced closed
and restarted to do another transfer.

The repainting behaviour now seems OK.

Comment 2 Matthias Clasen 2007-03-26 15:53:00 UTC
This is probably still a11y locking problems. 


Comment 3 Matthias Clasen 2007-03-27 04:49:33 UTC
Should be fixed with at-spi-1.18.0-2.fc7


Note You need to log in before you can comment on or make changes to this bug.